[thelist] PHP5 or PHP4?

Andrew Kamm akamm at demicooper.com
Wed Mar 1 10:52:29 CST 2006

> In deciding to take the PHP plunge, I'm curious, do most developers out
> there still use v4 or v5? And is v5 backwards compatible w/ v4? Thanks
> in advance for any feedback out there.

If you're doing very simple things like contact forms, PHP4 is sufficient.
If you really want to get into PHP and have some better functions to work
with, PHP5 is the way to go. PHP5 is also much better for larger application
development (much better OOP support).

You might have a harder time finding a host with PHP5 if you're using shared
hosting though.

Andrew Kamm

More information about the thelist mailing list